Summary: The getty and uugetty programs.
Name: getty_ps
Version: 2.0.7j
Copyright: Distributable - Copyright 1989,1990 by Paul Sutcliffe Jr.
Release: 12
Group: Applications/Communications
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/getty_ps-2.0.7j.tar.gz
Patch0: getty_ps-2.0.7j-make.patch
Patch1: getty_ps-2.0.7h-jpm.patch
Patch2: getty_ps-2.0.7h-pipe.patch
Patch3: getty_ps-2.0.7j-glibc.patch
Patch4: getty_ps-2.0.7j-signal.patch
Patch5: getty_ps-2.0.7j-6.0.patch
Patch6: getty_ps-2.0.7j-hangup.patch
Patch7: getty_ps-2.0.7j-y2k.patch
Buildroot: /var/tmp/getty_ps-root

%description
The getty_ps package contains the getty and uugetty programs, basic
programs for accomplishing the login process on a Red Hat Linux
system.  Getty and uugetty are used to accept logins on the console or
a terminal.  Getty is invoked by the init process to open tty lines
and set their modes, to print the login prompt and get the user's
name, and to initiate a login process for the user.  Uugetty works
just like getty, except that uugetty creates and uses lock files to
prevent two or more processes from conflicting in their use of a tty
line.  Getty and uugetty can also answer a modem for dialup
connections, but mgetty is recommended for that purpose.

%prep

%setup -q
%patch0 -p1 -b .make
%patch1 -p1 -b .jpm
%patch2 -p1 -b .pipe
%patch3 -p1 -b .noglibc
%patch4 -p1 -b .signal
%patch5 -p1 -b .6.0
%patch6 -p1 -b .hangup
%patch7 -p1 -b .y2k

%build
make clean
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin \
	$RPM_BUILD_ROOT%{_mandir}/man1 $RPM_BUILD_ROOT%{_mandir}/man5 \
	$RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/var/log

TOPDIR=$RPM_BUILD_ROOT  MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man make install

install -m 644 Examples/gettydefs.high-speed $RPM_BUILD_ROOT/etc/gettydefs

( cd $RPM_BUILD_ROOT
  chmod 755 ./sbin/getty ./sbin/uugetty
  ln -sf getty.1 .%{_mandir}/man1/uugetty.1
#  touch ./var/log/getty.log
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Examples ANNOUNCE README.linux README.2.0.7j README.hi-speed
%config /etc/gettydefs
/sbin/getty
/sbin/uugetty
%{_mandir}/man1/*
%{_mandir}/man5/*
#%ghost /var/log/getty.log

%changelog
* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- add HANGUPSECS patch (#4746)
- fix y2k issues with @D handling (#10296)
- FHS stuff

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- do not remove log file

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Wed Mar 31 1999 Preston Brown <pbrown@redhat.com>
- explicitly remove log file on package removal.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group name, ran thru system

* Thu Dec 17 1998 Michael Maher <mike@redhat.com> 
- rebuilt for 6.0 
- added patch to remove STRDUP

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- rebuilt to include doco.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 26 1997 Erik Troan <ewt@redhat.com>
- Ported to glibc (I don't know where the last glibc package came from)
- Rebuilt because it was last built against some broken SPARC headers. 
